<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{DC017E1A-8853-4267-932E-30CB3BCF8CF5}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Dao</RootNamespace>
    <AssemblyName>Dao</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\WebSite\Bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Antlr3.Runtime">
      <HintPath>..\lib\NHibernate\Antlr3.Runtime.dll</HintPath>
    </Reference>
    <Reference Include="HibernatingRhinos.Profiler.Appender">
      <HintPath>..\lib\NHibernate\HibernatingRhinos.Profiler.Appender.dll</HintPath>
    </Reference>
    <Reference Include="Iesi.Collections">
      <HintPath>..\lib\NHibernate\Iesi.Collections.dll</HintPath>
    </Reference>
    <Reference Include="LinFu.DynamicProxy">
      <HintPath>..\lib\NHibernate\LinFu.DynamicProxy.dll</HintPath>
    </Reference>
    <Reference Include="log4net, Version=1.2.10.0, Culture=neutral, PublicKeyToken=1b44e1d426115821, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\log4net\log4net.dll</HintPath>
    </Reference>
    <Reference Include="NHibernate">
      <HintPath>..\lib\NHibernate\NHibernate.dll</HintPath>
    </Reference>
    <Reference Include="NHibernate.ByteCode.LinFu">
      <HintPath>..\lib\NHibernate\NHibernate.ByteCode.LinFu.dll</HintPath>
    </Reference>
    <Reference Include="NHibernate.Caches.SysCache2">
      <HintPath>..\lib\NHibernate\NHibernate.Caches.SysCache2.dll</HintPath>
    </Reference>
    <Reference Include="Remotion.Data.Linq">
      <HintPath>..\lib\NHibernate\Remotion.Data.Linq.dll</HintPath>
    </Reference>
    <Reference Include="Spring.Core">
      <HintPath>..\lib\Spring.NET\Spring.Core.dll</HintPath>
    </Reference>
    <Reference Include="Spring.Data">
      <HintPath>..\lib\Spring.NET\Spring.Data.dll</HintPath>
    </Reference>
    <Reference Include="Spring.Data.NHibernate30">
      <HintPath>..\lib\Spring.NET\Spring.Data.NHibernate30.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="IAlarmSettingRepository.cs" />
    <Compile Include="IAppHotelRepository.cs" />
    <Compile Include="IAppMenuRepository.cs" />
    <Compile Include="IEnergyConsumptionStatisticsRepository.cs" />
    <Compile Include="IFaultRecordsRepository.cs" />
    <Compile Include="IFaultTypeRepository.cs" />
    <Compile Include="IGroupRepository.cs" />
    <Compile Include="IHostAirRecordRepository.cs" />
    <Compile Include="IHostAirRepository.cs" />
    <Compile Include="IHostModalRecordRepository.cs" />
    <Compile Include="IHostModalRepository.cs" />
    <Compile Include="IHostRepository.cs" />
    <Compile Include="IHostRoomCardRepository.cs" />
    <Compile Include="IHostTimingControlRepository.cs" />
    <Compile Include="IHostUpdateRepository.cs" />
    <Compile Include="IHostUpdateStatusRepository.cs" />
    <Compile Include="IHotelAirControlRepository.cs" />
    <Compile Include="IModalTypeRepository.cs" />
    <Compile Include="IModelDetailRepository.cs" />
    <Compile Include="IModelRepository.cs" />
    <Compile Include="Implement\AlarmSettingRepository.cs" />
    <Compile Include="Implement\AppHotelRepository.cs" />
    <Compile Include="Implement\AppMenuRepository.cs" />
    <Compile Include="Implement\EnergyConsumptionStatisticsRepository.cs" />
    <Compile Include="Implement\FaultRecordRepository.cs" />
    <Compile Include="Implement\FaultTypeRepository.cs" />
    <Compile Include="Implement\GroupRepository.cs" />
    <Compile Include="Implement\HostAirRecordRepository.cs" />
    <Compile Include="Implement\HostAirRepository.cs" />
    <Compile Include="Implement\HostModalRecordRepository.cs" />
    <Compile Include="Implement\HostModalRepository.cs" />
    <Compile Include="Implement\HostRepository.cs" />
    <Compile Include="Implement\HostRoomCardRepository.cs" />
    <Compile Include="Implement\HostTimingControlRepository.cs" />
    <Compile Include="Implement\HostUpdateRepository.cs" />
    <Compile Include="Implement\HostUpdateStatusRepository.cs" />
    <Compile Include="Implement\HotelAirControlRepository.cs" />
    <Compile Include="Implement\ModalTypeRepository.cs" />
    <Compile Include="Implement\ModelDetailRepository.cs" />
    <Compile Include="Implement\ModelRepository.cs" />
    <Compile Include="Implement\OverviewRepository.cs" />
    <Compile Include="Implement\RoomCardRepository.cs" />
    <Compile Include="Implement\RoomCardTypeRepository.cs" />
    <Compile Include="Implement\RoomModalRepository.cs" />
    <Compile Include="Implement\RoomServiceRecordRepository.cs" />
    <Compile Include="Implement\RoomServiceRepository.cs" />
    <Compile Include="Implement\RoomStatusAidReponsitory.cs" />
    <Compile Include="Implement\RoomStatusRepository.cs" />
    <Compile Include="Implement\RoomTypeAirRepository.cs" />
    <Compile Include="Implement\RoomTypeModalRepository.cs" />
    <Compile Include="Implement\RoomTypeRepository.cs" />
    <Compile Include="Implement\RoomTypeSceneModalRepository.cs" />
    <Compile Include="Implement\RoomTypeSceneRepository.cs" />
    <Compile Include="Implement\SysActiveUserRepository.cs" />
    <Compile Include="Implement\SysAuthorityRepository.cs" />
    <Compile Include="Implement\SysRoleRepository.cs" />
    <Compile Include="Implement\SysSettingRepository.cs" />
    <Compile Include="Implement\SysUserRepository.cs" />
    <Compile Include="Implement\SysSystemLogsRepository.cs" />
    <Compile Include="Implement\AppRoomRepository.cs" />
    <Compile Include="Implement\SysHotelRepository.cs" />
    <Compile Include="Implement\TestRepository.cs" />
    <Compile Include="Implement\WXMenusRepository.cs" />
    <Compile Include="Implement\RoomTypeWXMenusRepository.cs" />
    <Compile Include="Implement\HotelSeasonRepository.cs" />
    <Compile Include="Implement\HostFaultsRepository.cs" />
    <Compile Include="Implement\HostSceneRepository.cs" />
    <Compile Include="Implement\HostFaultRecordsRepository.cs" />
    <Compile Include="Implement\ManualVisitRepository.cs" />
    <Compile Include="Implement\HostWordsReportRepository.cs" />
    <Compile Include="Implement\SysOauth2Repository.cs" />
    <Compile Include="Implement\SysHotelGroupRepository.cs" />
    <Compile Include="Implement\SysProvinceRepository.cs" />
    <Compile Include="Implement\SysCityRepository.cs" />
    <Compile Include="Implement\RoomTypeChannelsRepository.cs" />
    <Compile Include="Implement\RoomTypeProgramFilesRepository.cs" />
    <Compile Include="Implement\HostRCURepository.cs" />
    <Compile Include="Implement\KongTiaoTimerRepository.cs" />
    <Compile Include="Implement\RoomNoBodyHowToRepository.cs" />
    <Compile Include="Implement\RoomNoBodyHowToLogRepository.cs" />
    <Compile Include="Implement\ECO_SettingRepository.cs" />
    <Compile Include="Implement\ECO_DetailRepository.cs" />
    <Compile Include="Implement\dev_MonitorLogRepository.cs" />
    <Compile Include="Implement\TFTP_SetRepository.cs" />
    <Compile Include="Implement\CarbonScene_SetRepository.cs" />
    <Compile Include="Implement\LieECORepository.cs" />
    <Compile Include="IOverviewRepository.cs" />
    <Compile Include="IRepository`1.cs" />
    <Compile Include="IRoomCardRepository.cs" />
    <Compile Include="IRoomCardTypeRepository.cs" />
    <Compile Include="IRoomModalRepository.cs" />
    <Compile Include="IRoomServiceRecordRepository.cs" />
    <Compile Include="IRoomServiceRepository.cs" />
    <Compile Include="IRoomStatusAidRepository.cs" />
    <Compile Include="IRoomStatusRepository.cs" />
    <Compile Include="IRoomTypeAirRepository.cs" />
    <Compile Include="IRoomTypeModalRepository.cs" />
    <Compile Include="IRoomTypeRepository.cs" />
    <Compile Include="IRoomTypeSceneModalRepository.cs" />
    <Compile Include="IRoomTypeSceneRepository.cs" />
    <Compile Include="ISysActiveUserRepository.cs" />
    <Compile Include="ISysAuthorityRepository.cs" />
    <Compile Include="ISysRoleRepository.cs" />
    <Compile Include="ISysSettingRepository.cs" />
    <Compile Include="ISysUserRepository.cs" />
    <Compile Include="RepositoryBase`1.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ISysSystemLogsRepository.cs" />
    <Compile Include="IAppRoomRepository.cs" />
    <Compile Include="ISysHotelRepository.cs" />
    <Compile Include="IWXMenusRepository.cs" />
    <Compile Include="IRoomTypeWXMenusRepository.cs" />
    <Compile Include="IHotelSeasonRepository.cs" />
    <Compile Include="IHostFaultsRepository.cs" />
    <Compile Include="IHostSceneRepository.cs" />
    <Compile Include="IHostFaultRecordsRepository.cs" />
    <Compile Include="IManualVisitRepository.cs" />
    <Compile Include="IHostWordsReportRepository.cs" />
    <Compile Include="ISysOauth2Repository.cs" />
    <Compile Include="ISysHotelGroupRepository.cs" />
    <Compile Include="ISysProvinceRepository.cs" />
    <Compile Include="ISysCityRepository.cs" />
    <Compile Include="ISysCountyRepository.cs" />
    <Compile Include="IRoomTypeChannelsRepository.cs" />
    <Compile Include="IRoomTypeProgramFilesRepository.cs" />
    <Compile Include="IHostRCURepository.cs" />
    <Compile Include="ITestRepository.cs" />
    <Compile Include="IRoomAirConditionMissionRepository.cs" />
    <Compile Include="IRoomNoBodyHowToRepository.cs" />
    <Compile Include="IRoomNoBodyHowToLogRepository.cs" />
    <Compile Include="IECO_SettingRepository.cs" />
    <Compile Include="Idev_MonitorLogRepository.cs" />
    <Compile Include="ITFTP_SetRepository.cs" />
    <Compile Include="ICarbonScene_SetRepository.cs" />
    <Compile Include="ILieECORepository.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Config\Dao.xml">
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Config\DaoBase.xml">
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\CommonEntity\CommonEntity.csproj">
      <Project>{1D7073B2-4CC3-49F5-9F37-50A21D74A39D}</Project>
      <Name>CommonEntity</Name>
    </ProjectReference>
    <ProjectReference Include="..\Common\Common.csproj">
      <Project>{B3F29715-E925-4E56-9248-580F06C3BC11}</Project>
      <Name>Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\Domain\Domain.csproj">
      <Project>{A42D287A-8EF4-48F6-B14C-7F9CA834F786}</Project>
      <Name>Domain</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Implement\SysCountyRepository.cs" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="IECO_DetailRepository.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>